/* jshint node:true, esversion: 6 */
'use strict';

var fs = require('fs');
var RSVP = require('rsvp');
var svg2png = require('../../vendor/svg2png/svg2png');

module.exports = function (options) {
  return new RSVP.Promise(function (resolve) {
    var buffer = fs.readFileSync(options.src);
    var rasterizeTasks = [];

    options.toRasterize.forEach(function (rasterize) {
      var width = rasterize.size;
      var height = rasterize.size;

      var rasterizeTask = svg2png(buffer, { width: width, height: height }).then(function (pngBuffer) {
        fs.writeFileSync(rasterize.path, pngBuffer);
      });

      rasterizeTasks.push(rasterizeTask);
    });

    RSVP.all(rasterizeTasks).then(resolve);
  });
};